#Clear the ModelSim prompt
.main clear

#Remove "work" folder if it exists to clear out old files. Create new one. 
if [file exists work] { vdel -lib work -all }
vlib work

#set quartus_root c:/intelFPGA_lite/17.0/quartus

#COMPILATION SECTION**************************************
#vlog $quartus_root/eda/sim_lib/altera_mf.v
#vlog $quartus_root/eda/sim_lib/220model.v
#vlog $quartus_root/eda/sim_lib/sgate.v
#vlog $quartus_root/eda/sim_lib/cycloneiv_atoms.v

#Packages first...
vlog ../src/pkg_graphics_flash.sv
vlog ../src/flash_port.sv

#Altera megafunction blocks
vlog ../src/altera_mf/main_pll.v

#Source files
vlog ../src/fpga_silo.sv
vlog ../src/phy_W25Q16CV.sv
vlog ../src/flash_driver.sv

#Testbench files
vlog ../tb/tb_silo.sv
vlog ../tb/model_W25Q16CV.sv
vlog ../tb/model_testbench_helpers.sv

#Add more source files here if necessary

#**********************************************************

#SIMULATION RUNNING SECTION********************************
vsim -l ./transcript -L altera_mf_ver -L lpm_ver work.tb_silo

# Setup up signal radix and add waveforms
radix hex
view structure
view signals
do wave.do
#nolog -all
run -all
